#
# spec file for package busybox-static
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           busybox-static
Url:            http://www.busybox.net/
Version:        1.22.1
Release:        0
Summary:        The Swiss Army Knife of Embedded Linux
License:        GPL-2.0+
Group:          System/Base
Source:         http://busybox.net/downloads/busybox-%{version}.tar.bz2
Source1:        BusyBox.1
Source2:        busybox-static.SuSE.config
Source3:        mkinitrd-setup.sh
Source4:        mkinitrd-boot.sh
# other patches
Patch100:       busybox.install.patch
Patch101:       busybox-1.18.3-libarchive.patch
Patch103:       busybox-resource.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  glibc-devel-static

%description
BusyBox combines tiny versions of many common UNIX utilities into a
small single executable. It provides minimalist replacements for most
of the utilities usually found in fileutils, shellutils, findutils,
textutils, grep, gzip, tar, and more. BusyBox provides a fairly
complete POSIX environment for any small or embedded system. The
utilities in BusyBox generally have fewer options than their
full-featured GNU cousins. The options that are included provide the
expected functionality and behave very much like their GNU
counterparts.

%prep
%setup -q -n busybox-%{version}
%patch100 -p1
%patch101 -p1
%patch103 -p1
%{__cp} -a %{S:1} docs/
%{__cp} -a %{S:2} .config
find -name CVS | xargs rm -rf
find -name .cvsignore | xargs rm -rf
find -name .svn | xargs rm -rf
find -name .gitignore | xargs rm -rf

%build
export VERBOSE=-v
export BUILD_VERBOSE=2
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CC="%{__cc}"
export HOSTCC=gcc
make -e oldconfig
make -e %{?_smp_mflags}

%install
install -d $RPM_BUILD_ROOT/%{_bindir}
install busybox $RPM_BUILD_ROOT/%{_bindir}/busybox-static

%files
%defattr(-,root,root)
%{_bindir}/busybox-static

%changelog
